package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.dto.OrderSkuBomDto;
import com.sd.business.entity.order.dto.OrderSkuBomSelectDto;
import com.sd.business.entity.order.po.OrderSkuBom;
import com.sd.business.entity.order.vo.OrderSkuBomVo;


/**
 * <p>
 * 订单sku bom 关联 服务类
 * </p>
 *
 * @author
 * @since 2023-07-10
 */
public interface OrderSkuBomService extends BaseService<OrderSkuBom> {

    /**
     * 订单sku bom 关联分页
     */
    Page<OrderSkuBomVo> getPage(OrderSkuBomSelectDto dto);

    /**
     * 订单sku bom 关联明细
     */
    OrderSkuBomVo detail(Long id);

    /**
     * 订单sku bom 关联新增
     */
    void add(OrderSkuBomDto orderSkuBomDto);

    /**
     * 订单sku bom 关联编辑
     */
    void edit(OrderSkuBomDto orderSkuBomDto);

    /**
     * 订单sku bom 关联删除
     */
    void delete(Long id);

}
